const a = (o) => {
  const { color: e, spacing: t } = o;
  return {
    ".table": {
      textAlign: "left"
    },
    ".table thead tr": {
      borderBottomColor: e("divider.strong"),
      borderBottomStyle: "solid",
      borderBottomWidth: "1px"
    },
    ".table thead tr th": {
      fontWeight: 600,
      paddingTop: t(4),
      paddingBottom: t(4)
    },
    ".table thead tr th:not(:first-child)": {
      paddingLeft: t(8)
    },
    ".table tbody tr td": {
      paddingTop: t(4),
      paddingBottom: t(4)
    },
    ".table tbody tr td:not(:first-child)": {
      paddingLeft: t(8)
    },
    ".table thead tr th:first-child, .table tbody tr td:first-child": {
      paddingLeft: t(6)
    },
    ".table thead tr th:last-child, .table tbody tr td:last-child": {
      paddingRight: t(6)
    },
    ".table.table-striped tbody tr:nth-child(even)": {
      backgroundColor: e("surface.default")
    },
    ".table-pagination": {
      display: "flex",
      gap: t(1)
    },
    ".table-pagination .increment-btn": {
      borderRadius: t(1.5)
    },
    ".table-pagination .increment-btn:hover": {
      backgroundColor: e("interaction.support.hover")
    },
    ".table-pagination .page-btn": {
      borderRadius: t(1.5),
      padding: t(1, 2.5),
      color: e("content.secondary")
    },
    ".table-pagination .page-btn.selected": {
      color: e("content.inverse.strong"),
      backgroundColor: e("interaction.support.selected")
    },
    ".table-pagination .page-btn:not(.selected):hover": {
      backgroundColor: e("interaction.support.hover")
    }
  };
}, n = {
  getComponents: a
};
export {
  n as TailwindDataTable
};
